%******************************************
% Name1
% Name2
%******************************************

%*** initialize x, ex, and err
N = 25;
x = zeros(N,1);
ex = zeros(N,1);
err = zeros(N,1);
x(1) = 1;
x(2) = 1/3;
ex(1) = 1; 
ex(2) = 1/3;

%*** for the latex output
fid = fopen('results.tex', 'w+');
fprintf(fid,'\\begin{tabular}{ccc} \n')
fprintf(fid,'    numeric     &      exact   &     error  \\\\ \n') 
fprintf(fid,'\\hline \n')

%*** forward recursion
for k = 3:N
  x(k) = ; % ... calculate x(k) with recurrence
  ex(k) = ; % ... calculate ex(k)
  err(k) = ; % ... calculate rel. error
  fprintf(fid, '%16.13f & %16.13f & %5.3e \\\\ \n', x(k), ex(k), err(k));
end


fprintf(fid,'\\end{tabular}')
fclose(fid);

figure(1)
subplot(211)
 %... plot x  over k
hold on
 %... plot ex over k
title('') % Insert title
ylabel('') % Insert y-label
xlabel('') % Insert x-label
legend() % Insert legend


subplot(212)
%...plot the error (log(err) over k)
title('')  % Insert title
ylabel('') % Insert y-label
xlabel('') % Insert x-label